




.footer {
  opacity:1;
  padding: 0 0 1rem 0;
  clear:both;
  background-color:#fff;
  line-height: 1;
  border-top: 1px solid $border-light-colour;

  &__header {
    display:flex;
    align-items:center;

    .mobileOnly {
      display:flex;
      width:100%;
    }

    @include breakpoint($large) {
      border-top:1px solid $border-light-colour;
      padding-top:1rem;
    }

    .logo {
      max-width:80px;

      @include breakpoint($large) {
        margin-right:2rem;
      }
    }
  }

  &__content {
    border-top: 1px solid $border-color;
    @include breakpoint($large) {
      padding-top: 50px;
    }

    .accordion {
      @include breakpoint($large) {
        display:flex;
        justify-content: space-between;
        width:100%;
        flex-wrap: wrap;
      }
      &__item {
        @include breakpoint($large) {
          max-width: 20%;

          //legal section of accordion
          &:nth-child(5) {
            max-width: 100%;
            width: 100%;
            &__head {
              display: none;
            }
          }
        }

      }
      &__head {
        position:relative;
        display:flex;
        color:$link-color;
        border-bottom:1px solid $border-color;
        @include rem(padding, 13px 0);
        font-weight:600;

        @include breakpoint($large) {
          border-bottom:0;
          padding:0;
          color: #2E2E2E;
        }

      }
      &__icon {
        margin-left:auto;
        position:absolute;
        top:50%;
        right:0;
        transform:translateY(-50%);

        @include breakpoint($large) {
          display:none;
        }
      }

      &__section {
        @include breakpoint($large) {
          height:auto !important;
        }
      }
    }

    .footer__security {
      @include breakpoint($large) {
      .accordion{
          &__item {
            max-width: 100%;
            width: 100%;
          }
          &__head {
            display: none;
          }
        }
      }
    }


  }

  &__list {
    ul {
      margin: 0;
      padding: 0;
      list-style: none;
      @include rem(margin, 10px 0);
    }
    &--legal {
      @include breakpoint($large){
        border-top: 1px solid $border-color;
        margin-top: map-get($desktop, space-md);
        ul {
          display: flex;
          justify-content: space-between;
          margin-bottom: 0;
        }
      }
    }
    .socialIcons {
      display: none;
      @include breakpoint($large) {
        display: flex;
      }
    }
  }

  &__listItem{
    padding:.5rem 0;
    margin: 0;
    display: flex;
    a {
      font-weight:300;
      transition: all .4s;
      border-bottom:1px solid rgba($link-color, 0);

      &:hover,
      &:focus {
        border-color:#3d3d3d;
      }

    }
    .icon {
      margin-left: 10px;
      flex-shrink: 0;
    }
    &--bottom-line {
      border-bottom: 1px solid $border-color;
      padding-bottom: map-get($desktop, space-xsm)!important;
      margin-bottom: map-get($desktop, space-xsm)!important;
    }
    .arrowlink__subText {
      margin-top: 1em;
    }
  }


  &__copyright {
    margin-right: 4rem;
    @include breakpoint($medium) {
      p {
        display: inline;
      }
      margin-right:2rem;
    }

    p {
      margin-bottom:0.6rem;
      padding-right:.5rem;
      line-height:1.42;
      font-weight:300;
      color:#2E2E2E;
      @include rhythm(12,16);

      @include breakpoint($large) {
            @include rhythm(14,16);
        margin:0;
      }
    }
  }

  &__foot {
    .logo {
      margin: 1rem 0;
    }
    @include breakpoint($large) {

      display:flex;
      align-items:center;

      .logo {
        margin:0 2.5rem 0 0;
        width:auto;

        img {
          height:auto;
          width:84px;
        }
      }
    }

    .socialIcons {
      // justify-content: space-between;
      border-bottom: 1px solid $border-color;
      div {
        margin-right: 2rem;
      }
      @include breakpoint($medium) {
        justify-content: flex-start;
      }
      @include breakpoint($large){
        display: none;
      }
    }
  }

  &--mini {
    border-top: none;
    padding: 4rem 0 1rem;
    .container {
      display:flex;
      flex-flow: row wrap;

      @include breakpoint($large) {
        flex-flow: initial;
      }
    }
    .footer {
      &__content {
        flex:0 0 auto;
        margin-left: auto;

        @include breakpoint($large) {
          flex:0 0 100%;
        }

        @include breakpoint($large) {
          flex:0 0 40%;
          order:2;
          border-top:1px solid $border-light-colour;
        }
      }
      &__foot {
        flex:0 0 100%;
        @include breakpoint($large) {
          flex:0 0 60%;
          order:1;
          margin:0;
        }
      }
    }
  }
}
#opv-footer {
  .footer {
    &__content {
      border-top: none;
      padding-top: 6px;
    }
    &__list {
      &--legal{
        margin-top: 0;
        border-top: none;
      }
    }
  }

}
